API Compatibility Level

What is the “API Compatibility Level” in the Player Settings for? What c# and which dotnet versions can we use for a webplayer application?

Check this: http://docs.unity3d.com/412/Documentation/ScriptReference/MonoCompatibility.html
Basically, the “subset” version gives you less features of .Net but the DLLs included with your webplayer are quite lighter as a result. If you can live without the full featureset, go for “subset”.

New Link: Unity - Manual: .NET profile support